cdac.medinfo.ccd.enums

## Enum XActClassDocumentEntryAct

- java.lang.Object
- - java.lang.Enum<XActClassDocumentEntryAct>
  - - cdac.medinfo.ccd.enums.XActClassDocumentEntryAct

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XActClassDocumentEntryAct>

      public enum XActClassDocumentEntryAct
      extends java.lang.Enum<XActClassDocumentEntryAct>

  Java class for x_ActClassDocumentEntryAct.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="x_ActClassDocumentEntryAct">
         <restriction base="{urn:hl7-org:v3}cs">
           <enumeration value="ACT"/>
           <enumeration value="ACCM"/>
           <enumeration value="CONS"/>
           <enumeration value="CTTEVENT"/>
           <enumeration value="INC"/>
           <enumeration value="INFRM"/>
           <enumeration value="PCPR"/>
           <enumeration value="REG"/>
           <enumeration value="SPCTRT"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCM`
    `ACT`
    `CONS`
    `CTTEVENT`
    `INC`
    `INFRM`
    `PCPR`
    `REG`
    `SPCTRT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XActClassDocumentEntryAct` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static XActClassDocumentEntryAct` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static XActClassDocumentEntryAct[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACT

          public static final XActClassDocumentEntryAct ACT

    - #### ACCM

          public static final XActClassDocumentEntryAct ACCM

    - #### CONS

          public static final XActClassDocumentEntryAct CONS

    - #### CTTEVENT

          public static final XActClassDocumentEntryAct CTTEVENT

    - #### INC

          public static final XActClassDocumentEntryAct INC

    - #### INFRM

          public static final XActClassDocumentEntryAct INFRM

    - #### PCPR

          public static final XActClassDocumentEntryAct PCPR

    - #### REG

          public static final XActClassDocumentEntryAct REG

    - #### SPCTRT

          public static final XActClassDocumentEntryAct SPCTRT

  - ### Method Detail

    - #### values

          public static XActClassDocumentEntryAct[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XActClassDocumentEntryAct c : XActClassDocumentEntryAct.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XActClassDocumentEntryAct valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static XActClassDocumentEntryAct fromValue(java.lang.String v)